tpm2_create(8)

NAME
tpm2_create - create an object that can be loaded into a TPM using tpm2_load. The object will need to be loaded before it may be used.

SYNOPSIS
tpm2_create[ COMMON OPTIONS ] [ TCTI OPTIONS ] [ --parent|--contextParent|--pwdp|--pwdk|--halg|--kalg|--objectAttribute|--inFile|--pol|--opu|--opr|--passwdInHex| ]

create an object that can be loaded into a TPM using tpm2_load. The object will need to be loaded before it may be used.

DESCRIPTION
tpm2_create create an object that can be loaded into a TPM using tpm2_load. The object will need to be loaded before it may be used.

OPTIONS

-H ,--parent
    parent handle

-c ,--contextParent
    filename for parent context

-P ,--pwdp
    password for parent key, optional

-K ,--pwdk
    password for key, optional

-g ,--halg
    algorithm used for computing the Name of the object 0x0004 TPM_ALG_SHA1 0x000B TPM_ALG_SHA256 0x000C TPM_ALG_SHA384 0x000D TPM_ALG_SHA512 0x0012 TPM_ALG_SM3_256

-G ,--kalg
    algorithm associated with this object 0x0001 TPM_ALG_RSA 0x0008 TPM_ALG_KEYEDHASH 0x0023 TPM_ALG_ECC 0x0025 TPM_ALG_SYMCIPHER

-A ,--objectAttribute
    object attributes, optional

-I ,--inFile
    data file to be sealed, optional

-L ,--pol
    the input policy file, optional

-o ,--opu
    the output file which contains the public key, optional

-O ,--opr
    the output file which contains the private key, optional

-X ,--passwdInHex
    passwords given by any options are hex format.

[COMMON OPTIONS ]
    This collection of options are common to many programs and provide information that many users may expect.

-h, --help
    Display a manual describing the tool and its usage.

-v, --version
    Display version information for this tool.

-V, --verbose
    Increase the information that the tool prints to the console during its execution.

[TCTI OPTIONS ]
    This collection of options are used to configure the varous TCTI modules available.

-T, --tcti
    Select the TCTI used for communication with the next component down the TSS stack. In most configurations this will be the TPM but it could be a simulator or proxy. Supported TCTIs are .

ENVIRONMENT: TCTI
    This collection of environment variables that may be used to configure the varous TCTI modules available. The values passed through these variables can be overridden on a per-command basis using the available command line options.

TPM2TOOLS_TCTI_NAME
    Select the TCTI used for communication with the next component down the TSS stack. In most configurations this will be the TPM but it could be a simulator or proxy. See 'OPTIONS' section for the names of supported TCTIs.

EXAMPLES
tpm2_create

    tpm2_create -H 0x81010001 -P abc123 -K def456 -g 0x000B -G 0x0008 -I data.File -o opu.File
    tpm2_create -c parent.context -P abc123 -K def456 -g 0x000B -G 0x0008 -I data.File -o opu.File
    tpm2_create -H 0x81010001 -P 123abc -K 456def -X -g 0x000B -G 0x0008 -I data.File -o opu.File